<?php
/**
* Header Options.
*
* @package Online Learning LMS
*/

$online_learning_lms_default = online_learning_lms_get_default_theme_options();

// Header Section.
$wp_customize->add_section( 'online_learning_lms_button_header_setting',
	array(
	'title'      => esc_html__( 'Header Settings', 'online-learning-lms' ),
	'priority'   => 10,
	'capability' => 'edit_theme_options',
	'panel'      => 'online_learning_lms_theme_option_panel',
	)
);

$wp_customize->add_setting('online_learning_lms_sticky',
    array(
        'default' => $online_learning_lms_default['online_learning_lms_sticky'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'online_learning_lms_sanitize_checkbox',
    )
);
$wp_customize->add_control('online_learning_lms_sticky',
    array(
        'label' => esc_html__('Enable Sticky Header', 'online-learning-lms'),
        'section' => 'online_learning_lms_button_header_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'online_learning_lms_header_layout_address',
    array(
    'default'           => $online_learning_lms_default['online_learning_lms_header_layout_address'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'online_learning_lms_header_layout_address',
    array(
    'label'    => esc_html__( 'Location', 'online-learning-lms' ),
    'section'  => 'online_learning_lms_button_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'online_learning_lms_header_layout_email_address',
    array(
    'default'           => $online_learning_lms_default['online_learning_lms_header_layout_email_address'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'online_learning_lms_header_layout_email_address',
    array(
    'label'    => esc_html__( 'Email', 'online-learning-lms' ),
    'section'  => 'online_learning_lms_button_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'online_learning_lms_header_layout_phone_number',
    array(
    'default'           => $online_learning_lms_default['online_learning_lms_header_layout_phone_number'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'online_learning_lms_header_layout_phone_number',
    array(
    'label'    => esc_html__( 'Phone Number', 'online-learning-lms' ),
    'section'  => 'online_learning_lms_button_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'online_learning_lms_header_layout_timing',
    array(
    'default'           => $online_learning_lms_default['online_learning_lms_header_layout_timing'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'online_learning_lms_header_layout_timing',
    array(
    'label'    => esc_html__( 'Timing Text', 'online-learning-lms' ),
    'section'  => 'online_learning_lms_button_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'online_learning_lms_header_layout_button',
    array(
    'default'           => $online_learning_lms_default['online_learning_lms_header_layout_button'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'online_learning_lms_header_layout_button',
    array(
    'label'    => esc_html__( 'Header Button Text', 'online-learning-lms' ),
    'section'  => 'online_learning_lms_button_header_setting',
    'type'     => 'text',
    )
);

$wp_customize->add_setting( 'online_learning_lms_header_layout_button_url',
    array(
    'default'           => $online_learning_lms_default['online_learning_lms_header_layout_button_url'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'online_learning_lms_header_layout_button_url',
    array(
    'label'    => esc_html__( 'Header Button Url', 'online-learning-lms' ),
    'section'  => 'online_learning_lms_button_header_setting',
    'type'     => 'url',
    )
);

$wp_customize->add_setting('online_learning_lms_header_search',
    array(
        'default' => $online_learning_lms_default['online_learning_lms_header_search'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'online_learning_lms_sanitize_checkbox',
    )
);
$wp_customize->add_control('online_learning_lms_header_search',
    array(
        'label' => esc_html__('Enable Search', 'online-learning-lms'),
        'section' => 'online_learning_lms_button_header_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('online_learning_lms_menu_font_size',
    array(
        'default'           => $online_learning_lms_default['online_learning_lms_menu_font_size'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'online_learning_lms_sanitize_number_range',
    )
);
$wp_customize->add_control('online_learning_lms_menu_font_size',
    array(
        'label'       => esc_html__('Menu Font Size', 'online-learning-lms'),
        'section'     => 'online_learning_lms_button_header_setting',
        'type'        => 'number',
        'input_attrs' => array(
           'min'   => 1,
           'max'   => 30,
           'step'   => 1,
        ),
    )
);

$wp_customize->add_setting( 'online_learning_lms_menu_text_transform',
    array(
    'default'           => $online_learning_lms_default['online_learning_lms_menu_text_transform'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'online_learning_lms_sanitize_menu_transform',
    )
);
$wp_customize->add_control( 'online_learning_lms_menu_text_transform',
    array(
    'label'       => esc_html__( 'Menu Text Transform', 'online-learning-lms' ),
    'section'     => 'online_learning_lms_button_header_setting',
    'type'        => 'select',
    'choices'     => array(
        'capitalize' => esc_html__( 'Capitalize', 'online-learning-lms' ),
        'uppercase'  => esc_html__( 'Uppercase', 'online-learning-lms' ),
        'lowercase'    => esc_html__( 'Lowercase', 'online-learning-lms' ),
        ),
    )
);


$wp_customize->add_setting('online_learning_lms_header_menus_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'online_learning_lms_header_menus_color', array(
    'label'    => __('Main Menu Color', 'online-learning-lms'),
    'section'  => 'online_learning_lms_button_header_setting',
)));

$wp_customize->add_setting('online_learning_lms_header_menus_hover_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'online_learning_lms_header_menus_hover_color', array(
    'label'    => __('Main Menu Hover Color', 'online-learning-lms'),
    'section'  => 'online_learning_lms_button_header_setting',
)));

$wp_customize->add_setting('online_learning_lms_header_submenus_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'online_learning_lms_header_submenus_color', array(
    'label'    => __('Submenu Color', 'online-learning-lms'),
    'section'  => 'online_learning_lms_button_header_setting',
)));

$wp_customize->add_setting('online_learning_lms_header_submenus_hover_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'online_learning_lms_header_submenus_hover_color', array(
    'label'    => __('Submenu Hover Color', 'online-learning-lms'),
    'section'  => 'online_learning_lms_button_header_setting',
)));